#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# Ember.FEATURES Class

Defined in: `packages/ember-metal/lib/features.js:5`
Module: ember

Available since 1.1.0

The hash of enabled Canary features. Add to this, any canary features before creating your application.

Alternatively (and recommended), you can also define `EmberENV.FEATURES` if you need to enable features flagged at runtime.

- Index
- Methods

## Item Index

### Methods

- isEnabled

## Methods

### `isEnabled`

(

- `feature`

)
Boolean public

Defined in `packages/ember-metal/lib/features.js:20`

Available since 1.1.0

Determine whether the specified `feature` is enabled. Used by Ember's build tools to exclude experimental features from beta/stable builds.

You can define the following configuration options:

- `EmberENV.ENABLE_OPTIONAL_FEATURES` - enable any features that have not been explicitly enabled/disabled.

#### Parameters:

- `feature` String

  The feature to check

#### Returns:

Boolean: